---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Create a Supabase-backed v1 test config and immutable judge… Reference for
    the POST /v1/projects/{projectId}/test-configs endpoint in the Judgeval API.
sidebar:
  label: Create test config
  badge: POST
title: Create test config
type: openapi-operation
---
Create a Supabase-backed v1 test config and immutable judge membership for a dataset.

`POST /v1/projects/{projectId}/test-configs`

**Request body** (`application/json`, required)

- `name` (string, required)
- `description` (string | null)
- `dataset_id` (string)
- `dataset_name` (string)
- `judge_ids` (string[])
- `judges` (object[])

Request body example:

```json
{
  "name": "string",
  "description": "string",
  "dataset_id": "string",
  "dataset_name": "string",
  "judge_ids": [
    "string"
  ],
  "judges": [
    {
      "judge_id": "string",
      "name": "string"
    }
  ]
}
```

**Responses**

- `200` — Response for status 200
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "test_config": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "dataset_id": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "user_id": "string",
    "judges": [
      {
        "id": "string",
        "organization_id": "string",
        "project_id": "string",
        "test_config_id": "string",
        "judge_id": "string",
        "created_at": "string",
        "user_id": "string",
        "judge": {
          "id": "string",
          "name": "string",
          "judge_type": "string",
          "score_type": "string"
        }
      }
    ]
  }
}
```
